Bug 45305 - RFE: arpwatch to default to dropping root
RFE: arpwatch to default to dropping root
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: tcpdump (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-21 06:06 EDT by Pekka Savola
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 06:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-06-21 06:06:47 EDT
Default /etc/sysconfig/arpwatch should be created, which would cause
arpwatch to
relinquish root privileges when run in the default installation.

'arpwatch' or something more generic, like 'tcpdump' or 'pcap' uid/gid
should be 
reserved for this (tcpdump, when used for monitoring can also drop privs,
ethereal?, ...)
Comment 1 Harald Hoyer 2001-07-19 09:05:53 EDT
created default /etc/sysconfig/arpwatch with OPTIONS="-u daemon"
Comment 2 Pekka Savola 2001-07-19 09:08:49 EDT
Please note that /var/arpwatch must also be made owned by the same uid, and (at
least some)
files there too.

Note You need to log in before you can comment on or make changes to this bug.